#!/bin/bash

# Please note that this is an unsupported script;
# thus, the following disclaimer applies:
# Any assistance that IBM gives in issues regarding private scripting
# and/or modified scripts are not covered under the IBM - Licensee
# maintenance/support agreement.
# All suggestions IBM  provides should be tested on either a test server
# or a back-up database, and never in a production environment. IBM shall
# not be responsible for loss of data or down time through the interaction
# with these unsupported scripts.
# IBM's assistance is provided "AS IS," and IBM HEREBY DISCLAIMS ALL
# WARRANTIES, EXPRESS OR IMPLIED, INCLUDING ALL IMPLIED WARRANTIES OF
# SATISFACTORY QUALITY, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
# TITLE, AND NON-INFRINGEMENT.
# IN NO EVENT SHALL IBM BE LIABLE FOR ANY DAMAGES OR CONSEQUENCES ARISING
# FROM ITS ASSISTANCE EVEN IF IBM IS EXPRESSLY ADVISED OF THE POSSIBILITY
# OF SUCH DAMAGES.

# this script stops DWA -- run it as the DOORS user
# regarding logs ...
# the logs directory and the log file used in this script MUST ALREADY exist
# create the directory and use touch to create the log file before you run
# this script

DOORS_DIR=~/bin
DWA_DIR=/opt/IBM/Rational/DOORS_Web_Access/1.3.0.0
#DWA_DIR=/opt/ibm/dwa12

echo "Stopping the DWA server ..." > $DWA_DIR/logs/stopDWA.log 2>&1 &
cd $DWA_DIR
./server.shutdown.sh >> $DWA_DIR/logs/stopDWA.log 2>&1 &
sleep 30

echo "Stopping the Interop server ..." >> $DWA_DIR/logs/stopDWA.log 2>&1 &
cd $DOORS_DIR
kill `ps -ef | grep doors | egrep 'interop|regss|mwrpcss|watchdog' | awk '{print $2}'` >> $DWA_DIR/logs/stopDWA.log 2>&1 &
#kill `ps -ef | grep doors | grep watchdog | awk '{print $2}'` >> $DWA_DIR/logs/stopDWA.log 2>&1 &
#kill `ps -ef | grep doors | grep interop | awk '{print $2}'` >> $DWA_DIR/logs/stopDWA.log 2>&1 &
sleep 30

echo "Stopping the DWA broker ..." >> $DWA_DIR/logs/stopDWA.log 2>&1 &
cd $DWA_DIR
./broker.shutdown.sh >> $DWA_DIR/logs/stopDWA.log 2>&1 &
sleep 30

exit 0
